#!/bin/bash

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/bin" ] ; then
    PATH="$HOME/bin:$PATH"
fi

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/.local/bin" ] ; then
    PATH="$HOME/.local/bin:$PATH"
fi

# Fix gpg for git commit signing
export GPG_TTY=$(tty)

# Autostart Hyprland at login
if [[ -z $DISPLAY ]] && [[ $(tty) = /dev/tty1 ]]; then
{% if (hostvars[ansible_hostname]['virtual_machine'] | default('false')) | bool %}
    export WLR_NO_HARDWARE_CURSORS=1
{% endif %}
    exec Hyprland
fi